Bug 1189423 - Keyboard Layout not persistent through login
Summary: Keyboard Layout not persistent through login
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 23
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-05 09:49 UTC by nigel
Modified: 2016-12-20 13:12 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:12:05 UTC


Attachments (Terms of Use)

Description nigel 2015-02-05 09:49:40 UTC
Description of problem:

A second keyboard layout has been defined and is usable/correct when initially logging in.  When logged in the keyboard layout reverts to default.  The new, desired layout then needs to be selected manually (via the drop-down en1, en2 selector in the top-right-hand corner of the Gnome Desktop)

The same problem occurred in Fedora 14: https://bugzilla.redhat.com/show_bug.cgi?id=649604

Interestingly in CentOS 7 the settings menus are the same (there's no place to set a keyboard default) but the problem doesn't occur. I am able to login using my preferred layout and it persists after logging in.


Version-Release number of selected component (if applicable): 21


How reproducible:

Everytime - on restart/boot the keyboard layout is correct until you login.

Steps to Reproduce:
1.  Boot/Reboot - login using desired keyboard layout (says en1 - which is incorrect) 
2.  After successfully logging in the keyboard layout reverts to default (says en1)
3.  Set en2

Actual results:

Wrong keyboard layout

Expected results:

Correct keyboard layout (in my case Dvorak International) should persist through login.

Additional info:

Comment 1 Fedora End Of Life 2015-11-04 13:47:08 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Pravin Satpute 2015-11-25 12:00:54 UTC
Ping !!

Is this bug still reproducible in Fedora 23?  If not lets close else move to Fedora 23.

Comment 3 Fedora End Of Life 2015-12-02 08:35:49 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 nigel 2015-12-08 14:07:46 UTC
Updated version to 23 as problem still persists.

Steps to reproduce are the same.  No change in problem definition.

Comment 5 Fedora End Of Life 2016-11-24 11:25:01 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 13:12:05 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.